=begin rdoc
 = jimpachi_about.rb - about dialog for jimpachi

Author:: Kuzuno Hiroki, Nakai Yushi
Copyright:: Copyright (c) 2004 Kuzuno Hiroki, Nakai Yushi
License:: GNU General Public License version 2, or any later.
=end

class JimpachiAboutDialog < Gtk::Dialog

  def initialize( window, version)
    super("About jiMPachi", window,
          Gtk::Dialog::MODAL | Gtk::Dialog::DESTROY_WITH_PARENT,
          [Gtk::Stock::OK, Gtk::Dialog::RESPONSE_ACCEPT])
    set_default_size(200, 100)
    vbox.add(set_label( version ))

    set_signal()
  end

  def set_label( version )
    return Gtk::Label.new("#{version} 
Ruby multi format audio player
Copyright (C) 2004, Kuzuno Hiroki, Nakai Yushi").set_justify(
Gtk::JUSTIFY_CENTER)
  end

  def set_signal
    signal_connect("response") do |widget, response|
      case response
      when Gtk::Dialog::RESPONSE_ACCEPT
        hide
      end
    end
  end

end
